<?php
include "lib/nusoap.php";
include "parsexml.php";	

// verifico carnet y pin con registro y estadistica
// resultados posibles
// procesamos el resultado del webservice
//		1 --> carnet y pin correctos
//		2 --> carnet no existe
//		3 --> pin invalido
//		6 --> no se pudo verificar contra registro y estadistica			

function verificar_PIN_con_RYE($pCarnet, $pPin){
	
	global $v_msg_error;
	global $v_xml_retorno;
	global $v_resultado_invoke; 

	$v_msg_error = "";
	$v_xml_retorno = "";
	$v_resultado_invoke = 0; // 0 indica que ha ocurrido algun error, el error quedara en $v_msg_error
							 // 1 indica que hubo exito en la transaccion, el xml resultante esta en $v_xml_retorno


	// armo el xml con los datos a enviar
	$xml_verifica_datos = '<VERIFICAR_PIN><DEPENDENCIA>UA04</DEPENDENCIA><LOGIN>S1s04D3r3ch0</LOGIN><PWD>a1021a89f5ead5615f16a5dcad38b38c91f5a197</PWD>'
						 .'<CARNET>'.$pCarnet.'</CARNET><PIN>'.$pPin.'</PIN></VERIFICAR_PIN>';
	
	//$oSoapClient = new nusoap_client('http://localhost/rye/webservice/verificadatosRyEWebService.php?wsdl','wsdl');
	$oSoapClient = new nusoap_client('http://www.registrousac.net/WS/verificadatosRyEWebService.php?wsdl','wsdl');


	if ($sError = $oSoapClient->getError()) {
		$v_msg_error = "No se pudo realizar la operaci�n [" . $sError . "]";
		$v_resultado_invoke = 0;
		return 0;
	}
	
	$aParametros = array("xml_verificaPIN" => $xml_verifica_datos);
	$aRespuesta = $oSoapClient->call("VerificaPIN", $aParametros);

	// Existe alguna falla en el servicio? 
	if ($oSoapClient->fault) { // Si
		$v_msg_error = 'Existe una falla en el servicio &quot;VerificaPIN&quot;-->';
		if ($sError = $oSoapClient->getError()) {
			$v_msg_error .= " [ Error: " . $sError . "]";
		}
		$v_resultado_invoke = 0;
		return 0;
	} 
	else { // No
		$sError = $oSoapClient->getError();
	
		// Hay algun error ?
		if ($sError) { // Si
			$v_msg_error = 'Error:' . $sError;
			$v_resultado_invoke = 0;
			return 0;
		}
		else {
			$v_resultado_invoke = 1;
			$v_xml_retorno = $aRespuesta;

			//$v_msg_error .= "XMl Enviado-->".$xml_verifica_datos." XML Recibido-->".$v_xml_retorno;
		
			// procesamos el resultado del webservice
			//		1 --> carnet y pin correctos
			//		2 --> carnet no existe
			//		3 --> pin invalido
			//		4 --> no se pudo verificar contra registro y estadistica			
			$v_xml_retorno="<WEB>".$v_xml_retorno.$v_xml_retorno."</WEB>";
			$v_datos_retorno = simplexml_load_string($v_xml_retorno); 
			if($v_datos_retorno['WEB']['RESP_VERIFICAR_PIN'][0]['STATUS']['value'] == '1'){
				return 1;
			}
			else if($v_datos_retorno['WEB']['RESP_VERIFICAR_PIN'][0]['STATUS']['value'] == '2'){
				return 2;
			}
			else if($v_datos_retorno['WEB']['RESP_VERIFICAR_PIN'][0]['STATUS']['value'] == '3'){
				return 3;
			}				
			else{
				return 6;
			}
		}
	}
	return 6;
}


// verifico inscripcion con registro y estadistica
// resultados posibles
// procesamos el resultado del webservice
//		1 --> estudiante inscrito
//		2 --> carnet no existe
//		6 --> no se pudo verificar contra registro y estadistica		
function verificar_Inscrito_con_RYE($pCarnet, $pAnio){

	global $v_msg_error;
	global $v_xml_retorno;
	global $v_resultado_invoke; 

	$v_msg_error = "";
	$v_xml_retorno = "";
	$v_resultado_invoke = 0; // 0 indica que ha ocurrido algun error, el error quedara en $v_msg_error
							 // 1 indica que hubo exito en la transaccion, el xml resultante esta en $v_xml_retorno	

	// armo el xml con los datos a enviar
	$xml_verifica_datos = '<VERIFICAR_INSCRITO><DEPENDENCIA>UA04</DEPENDENCIA><UNIDAD_ACADEMICA>04</UNIDAD_ACADEMICA><EXTENSION>00</EXTENSION><CARRERA>01</CARRERA>'
							.'<LOGIN>S1s04D3r3ch0</LOGIN><PWD>a1021a89f5ead5615f16a5dcad38b38c91f5a197</PWD><CARNET>'.$pCarnet.'</CARNET><CICLO>'.$pAnio.'</CICLO></VERIFICAR_INSCRITO>';
	
	//$oSoapClient = new nusoap_client('http://localhost/rye/webservice/verificadatosRyEWebService.php?wsdl','wsdl');
	$oSoapClient = new nusoap_client('http://www.registrousac.net/WS/verificadatosRyEWebService.php?wsdl','wsdl');

	if ($sError = $oSoapClient->getError()) {
		$v_msg_error = "No se pudo realizar la operaci�n [" . $sError . "]";
		$v_resultado_invoke = 0;
		return 0;
	}
	
	$aParametros = array("xml_verificaInscripcion" => $xml_verifica_datos);
	$aRespuesta = $oSoapClient->call("VerificaInscripcion", $aParametros);
	//echo $aRespuesta;

	// Existe alguna falla en el servicio? 
	if ($oSoapClient->fault) { // Si
		$v_msg_error = 'Existe una falla en el servicio &quot;VerificaInscripcion&quot;-->';
		if ($sError = $oSoapClient->getError()) {
			$v_msg_error .= " [ Error: " . $sError . "]";
		}

		$v_resultado_invoke = 0;
		return 0;
	} 
	else { // No
		$sError = $oSoapClient->getError();
	
		// Hay algun error ?
		if ($sError) { // Si
			$v_msg_error = 'Error:' . $sError;
			$v_resultado_invoke = 0;
			return 0;
		}
		else {
			$v_resultado_invoke = 1;
			$v_xml_retorno = $aRespuesta;

			//$v_msg_error .= "XMl Enviado-->".$xml_verifica_datos." XML Recibido-->".$v_xml_retorno;

			// procesamos el resultado del webservice
			//		1 --> estudiante inscrito
			//		2 --> carnet no existe
			//		4 --> no se pudo verificar contra registro y estadistica			

			$v_xml_retorno="<WEB>".$v_xml_retorno.$v_xml_retorno."</WEB>";
			$v_datos_retorno = simplexml_load_string($v_xml_retorno); 
			if($v_datos_retorno['WEB']['RESP_VERIFICAR_INSCRITO'][0]['STATUS']['value'] == '1'){
				return 1;
			}
			else if($v_datos_retorno['WEB']['RESP_VERIFICAR_INSCRITO'][0]['STATUS']['value'] == '2'){
				return 2;
			}
			else{
				return 6;
			}
		}
	}
	return 6;
}
?> 
